## id-utils 4.6+git20120811-4

=== debian/changelog ===
id-utils (4.6+git20120811-4) unstable; urgency=low

  * Fix build errors with version 5.1 of texinfo

 -- Bradley A. Bosch <brad@debian.org>  Sat, 31 Aug 2013 17:06:23 -0500

id-utils (4.6+git20120811-3) unstable; urgency=low

  * Temporary build fix to eliminate assumption that gets is defined
    (Closes: #721035)

 -- Bradley A. Bosch <brad@debian.org>  Wed, 28 Aug 2013 10:44:23 -0500

id-utils (4.6+git20120811-2) unstable; urgency=low

  * Update debian/copyright (Missed this from NMU in last
    upload). (Closes: #644131)

 -- Bradley A. Bosch <brad@debian.org>  Sun, 25 Aug 2013 16:23:35 -0500

id-utils (4.6+git20120811-1) unstable; urgency=low

  * New upstream version from git f746bf7e2980436904fe4d181b675d1de8b27120
    with bug fixes (Closes: #701398)

  * Eliminate ambiguous duplicate hash_insert() functions (Closes: #688589)

  * Avoid crash in xtokid when language-option OPT is ommited (Closes: #716632)

  * Restore documentation; Upstream removed cover text requirements
    (Closes: #684091)

 -- Bradley A. Bosch <brad@debian.org>  Sun, 18 Aug 2013 15:30:50 -0500

id-utils (4.5-3) unstable; urgency=low

  * Don't include info dir.gz file

 -- Bradley A. Bosch <brad@debian.org>  Tue, 07 Sep 2010 21:57:26 -0500

id-utils (4.5-2) unstable; urgency=low

  * Fix some more lintian complaints

 -- Bradley A. Bosch <brad@debian.org>  Mon, 30 Aug 2010 20:57:14 -0500

id-utils (4.5-1) unstable; urgency=low

  * New upstream version with bug fixes
    (Closes: #463049) (might fix #533683 as well)
  
  * Fix null string error in get_current_dir_link() when run with Working
    directory "/".
    (Closes: #443696)
  
  * Fix some lintian problems and noise
  
 -- Bradley A. Bosch <brad@debian.org>  Sun, 29 Aug 2010 13:21:48 -0500

id-utils (4.2-1) unstable; urgency=low

  * New upstream version with many bug fixes
    (Closes: #382288, #384002, #384000)
  
  * Completely re-package starting with dh_make (Closes: #381530)

 -- Bradley A. Bosch <brad@debian.org>  Sun, 13 May 2007 11:52:49 -0500

id-utils (3.2d-11) unstable; urgency=low

  * Update Email address
  * Fix possible build error by configuring for no emacs byte compiles.
    We don't currently package byte compiled code anyway.  (Closes: #304012)
  * Apply German PO patch.  (Closes: #314034)

 -- Bradley A. Bosch <brad@debian.org>  Sat, 13 Aug 2005 14:10:43 -0500

id-utils (3.2d-10) unstable; urgency=low

  * Sticking with a consistent version of automake would help!
    (Closes: #251705)

 -- Bradley A. Bosch <bradbosch@attbi.com>  Sun, 30 May 2004 13:50:26 -0500

id-utils (3.2d-9) unstable; urgency=low

  * Update autoconf related files with a more modern version.  This also
    has the effect of fixing a bug in the source package with regard to
    the location of language map file.  (Closes: #250462)

 -- Bradley A. Bosch <bradbosch@attbi.com>  Sun, 23 May 2004 17:45:13 -0500

id-utils (3.2d-8) unstable; urgency=low

  * don't depend on any emacs but install id-utils.el anyway  (Closes: 229933)
  * Don't free memory we are still using.  (Closes: #184931)
  * Don't need debian/help2man.  Build-depend on help2man package instead.
  * Don't need /usr/doc link anymore.
  * Add support for DEB_BUILD_OPTS.

 -- Bradley A. Bosch <bradbosch@attbi.com>  Sun, 29 Feb 2004 11:52:28 -0600

id-utils (3.2d-7) unstable; urgency=low

  * I guess I opened the Build-Depends Pandora's box...
    Add emacs20 to Build-Depends list.  (Closes: #142061)

 -- Bradley A. Bosch <bradbosch@attbi.com>  Wed, 10 Apr 2002 00:37:31 -0500

id-utils (3.2d-6) unstable; urgency=low

  * Update Maintainer field to new email address.

 -- Bradley A. Bosch <bradbosch@attbi.com>  Tue,  9 Apr 2002 02:13:38 -0500

id-utils (3.2d-5) unstable; urgency=low

  * Move Build-Depends to Source paragraph. (Closes: #132486)

 -- Bradley A. Bosch <bradbosch@attbi.com>  Tue,  9 Apr 2002 01:22:36 -0500

id-utils (3.2d-4) unstable; urgency=low

  * Code review and a user feedback indicate that the segmentation fault
    on gid should be avoided now. (Closes: #70573)

  * Fixed "mkid -f doesn't accept a path for a file". Thanks to fMichael
    Piefel <piefel@debian.org> for the patch.  (Closes: #98211)
  
  * Add Build-Depends to control file.  This is my best guess as to the
    cause of the empty info file in the latest sparc id-utils package.

 -- Bradley A. Bosch <bradbosch@attbi.com>  Tue, 12 Feb 2002 12:14:19 -0600

id-utils (3.2d-3) unstable; urgency=low

  * Fix errors detected by lintian: move /usr/info and link /usr/doc/id-utils.
  * Update to standards version 3.5.4.0.
  * Update with automake, autoconf and aclocal.
  * Move info remove to prerm script.
  * m4 source directory now unused.
  * Move id-lang.map to /usr/share/misc (bug #45091).
  * Parse .CPP as c++.
  * Assert (bug #53421)
  * Move man page to /usr/share/man (bug #91175).
  * Move doc directory to /usr/share/doc (bug #91555).
  * Interpret debian/help2man with perl (bug #41142).
  * Fix name of library for autoload example in documenation.

 -- Bradley A. Bosch <brad@lachman.com>  Sun, 29 Apr 2001 22:17:42 -0500

id-utils (3.2d-2) unstable; urgency=low

  * Add man pages for all id-utils binaries.  This will close bug #26462.

 -- Bradley A. Bosch <brad@lachman.com>  Wed,  7 Jul 1999 12:37:37 -0500

id-utils (3.2d-1) unstable; urgency=low

  * New upstream version.  Note:  A bug in the gettext package seems to
    prevent autoconfig from working with this release.  Try uninstalling
    gettext if you encounter this while building this package.

 -- Bradley A. Bosch <brad@lachman.com>  Tue,  8 Jun 1999 17:06:01 -0500

id-utils (3.2-5) unstable; urgency=low

  * Fixed location of emacs lisp file.

 -- Bradley A. Bosch <brad@lachman.com>  Mon, 14 Sep 1998 15:31:45 -0500

id-utils (3.2-4) unstable; urgency=low

  * Fixed yet another read-only string coredump with xtokid.

 -- Bradley A. Bosch <brad@lachman.com>  Fri,  5 Dec 1997 23:26:26 -0600

id-utils (3.2-3) unstable; urgency=low


