=== debian/control ===
Source: id-utils
Section: devel
Priority: optional
Maintainer: Bradley A. Bosch <brad@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev, texinfo, help2man
Standards-Version: 3.9.1

Package: id-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: Fast, high-capacity, identifier database tool
 Actually, the term `identifier' is too limiting--`mkid' stores
 tokens, be they program identifiers of any form, literal numbers, or
 words of human-readable text.  Database queries can be issued from the
 command-line, or from within emacs, serving as an augmented tags
 facility.
