=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

debian-tmp := $(CURDIR)/debian/id-utils

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Configure the package.
	EMACS=no ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --datadir=/usr/share/misc CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Compile the package.
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# install the package into debian/id-utils.
	$(MAKE) DESTDIR=$(debian-tmp) install
	find $(debian-tmp) -type d -empty -delete


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
#	dh_installexamples
	install -D -g root -m 644 -o root lisp/idutils.el $(debian-tmp)/usr/share/emacs/site-lisp/id-utils.el
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman

	dh_link usr/share/man/man1/lid.1.gz usr/share/man/man1/defid.1.gz
	dh_link usr/share/man/man1/lid.1.gz usr/share/man/man1/eid.1.gz
	dh_link usr/share/man/man1/lid.1.gz usr/share/man/man1/aid.1.gz
	dh_link usr/share/man/man1/lid.1.gz usr/share/man/man1/gid.1.gz
	help2man -i debian/seealso -N -n "Build an identifier database" $(debian-tmp)/usr/bin/mkid > $(debian-tmp)/usr/share/man/man1/mkid.1
	help2man -i debian/seealso -N -n "Query ID database and report results" $(debian-tmp)/usr/bin/lid > $(debian-tmp)/usr/share/man/man1/lid.1
	help2man -i debian/seealso -N -n "List identifiers that occur in FILENAME" $(debian-tmp)/usr/bin/fid > $(debian-tmp)/usr/share/man/man1/fid.1
	help2man -i debian/seealso -N -n "Print constituent file names that match PATTERN" $(debian-tmp)/usr/bin/fnid > $(debian-tmp)/usr/share/man/man1/fnid.1
	help2man -i debian/seealso -N -n "Print all tokens found in a source file" $(debian-tmp)/usr/bin/xtokid > $(debian-tmp)/usr/share/man/man1/xtokid.1

	dh_strip
	dh_compress
	dh_fixperms
	rm -f $(debian-tmp)/usr/share/info/dir.gz
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
