## id-utils 4.6+git20120811-4ubuntu1

=== debian/changelog ===
id-utils (4.6+git20120811-4ubuntu1) trusty; urgency=low

  * Use autotools-dev for arm64.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 16 Feb 2014 22:54:08 -0500
