## id-utils 4.6+git20120811-4ubuntu2

=== debian/changelog ===
id-utils (4.6+git20120811-4ubuntu2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:28:40 +0000
