=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: id-utils
 Section: devel
 Priority: optional
-Maintainer: Bradley A. Bosch <brad@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bradley A. Bosch <brad@debian.org>
 Build-Depends: debhelper (>= 5), autotools-dev, texinfo, help2man
 Standards-Version: 3.9.1
