=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 
 config.status: configure
 	dh_testdir
+	dh_autotools-dev_updateconfig
 	# Configure the package.
 	EMACS=no ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --datadir=/usr/share/misc CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
 
@@ -48,6 +49,7 @@
 
 	[ ! -f Makefile ] || $(MAKE) distclean
 
+	dh_autotools-dev_restoreconfig
 	dh_clean 
 
 install: build
