## id-utils 4.6.28

=== debian/changelog ===
id-utils (4.6.28-20250503ss15da) unstable; urgency=medium

  * Support rootless build (Closes: #1089346)
  * Fix armhf architecture build (Closes: #1091243)
  * Allow cross compile (Closes: #977634)

 -- Bradley A. Bosch <brad@debian.org>  Sat, 03 May 2025 14:58:41 -0500

id-utils (4.6.28-20200521ss15dab) unstable; urgency=medium

  * New upstream snapshot from git://git.savannah.gnu.org/idutils.git 15dabf93d63ec15e674bd049c839067e58ffb872
  * Tested 32 bit builds (Closes: #944211)
  * More verbose build by default (Closes: #933108)

 -- Bradley A. Bosch <brad@debian.org>  Sat, 23 May 2020 10:00:36 -0500

id-utils (4.6.21+20171216ss6cdfd-1) unstable; urgency=medium

  * Upstream release from https://meyering.net/idutils/idutils-4.6.21-6cdfd.tar.xz
  
  * revert to older snapshot to fix tree walking bugs

 -- Bradley A. Bosch <brad@debian.org>  Sat, 09 Feb 2019 20:55:54 -0600

id-utils (4.6+git20190113-1) unstable; urgency=low

  * New upstream version from git 9a4ea9a365589ba52b4b020800e7b9718697989e
    with updated libgnu from git master 3043e43a7c30516482725c69b36f8feb4846f819
    (Closes: #915172)

  * Patch to work around hurd build failure from Svante Signell
    <svante.signell@gmail.com> (Closes: #736912)

  * Call dh_autotools-dev_updateconfig from rules (Closes: #727388)

  * Eliminate ambiguous duplicate hash_free() functions (Closes: #749412)

  * Add usage hint for emacs users from Francois Marier <francois@debian.org>
    (Closes: #777663)

 -- Bradley A. Bosch <brad@debian.org>  Thu, 07 Feb 2019 21:10:38 -0600
