=== debian/rules ===
--- 
+++ 
@@ -16,49 +16,54 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+confflags := --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNUn_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --datadir=/usr/share/misc CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
 
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
+ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+   confflags += --disable-silent-rules
 endif
 
+include /usr/share/dpkg/buildflags.mk
+
+CFLAGS += -Wall -g
+
 config.status: configure
+	dh_update_autotools_config
 	dh_testdir
-	dh_autotools-dev_updateconfig
-	# Configure the package.
-	EMACS=no ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --datadir=/usr/share/misc CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+#	Configure the package.
+	EMACS=no ./configure $(confflags)
 
+build: build-indep build-arch
 
-build: build-stamp
+build-indep:
+
+build-arch: build-stamp
 
 build-stamp:  config.status
 	dh_testdir
 
-	# Compile the package.
-	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+#	Compile the package.
+	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 	touch $@
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp 
+	rm -f build-stamp
+#	rm -f po/*.gmo po/idutils.pot
+	rm -f man/*.1  doc/idutils.info doc/stamp-vti doc/version.texi 
 
 	[ ! -f Makefile ] || $(MAKE) distclean
 
-	dh_autotools-dev_restoreconfig
 	dh_clean 
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 
-	# install the package into debian/id-utils.
+#	install the package into debian/id-utils.
 	$(MAKE) DESTDIR=$(debian-tmp) install
 	find $(debian-tmp) -type d -empty -delete
 
@@ -73,18 +78,8 @@
 	dh_testroot
 	dh_installchangelogs ChangeLog
 	dh_installdocs
-#	dh_installexamples
-	install -D -g root -m 644 -o root lisp/idutils.el $(debian-tmp)/usr/share/emacs/site-lisp/id-utils.el
-#	dh_installmenu
-#	dh_installdebconf
-#	dh_installlogrotate
+	install -D -m 644 lisp/idutils.el $(debian-tmp)/usr/share/emacs/site-lisp/id-utils.el
 #	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_python
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
 #	dh_installman
 
 	dh_link usr/share/man/man1/lid.1.gz usr/share/man/man1/defid.1.gz
